Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred
Class ID

    java.lang.Object
      org.apache.hadoop.mapreduce.ID
          org.apache.hadoop.mapred.ID

All Implemented Interfaces:
  Comparable<ID>, Writable, WritableComparable<ID>

Direct Known Subclasses:
  JobID, TaskAttemptID, TaskID

    public abstract class ID

extends ID

A general identifier, which internally stores the id as an integer. This is the super class of `JobID`, `TaskID` and `TaskAttemptID`.

See Also:
  `JobID`, `TaskID`, `TaskAttemptID`

Field Summary

Fields inherited from class org.apache.hadoop.mapreduce.ID
`id, SEPARATOR`

Constructor Summary
`protected` | `ID()`
`` | `ID(int id)` constructs an ID object from the given int

Method Summary

Methods inherited from class org.apache.hadoop.mapreduce.ID
`compareTo, equals, getId, hashCode, readFields, toString, write`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ID

    public ID(int id)

  constructs an ID object from the given int

### ID

    protected ID()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation